# $Revision: 1.12 $, $Date: 2010/07/08 08:29:32 $
%define		pname pyenchant
Summary:	Spellchecking library for Python
Summary(pl.UTF-8):	Biblioteka Pythona sprawdzająca pisownię
Name:		python-%{pname}
Version:	1.5.1
Release:	2
License:	LGPL v2.1+
Group:		Libraries
Source0:	http://dl.sourceforge.net/pyenchant/%{pname}-%{version}.tar.gz
# Source0-md5:	1195bb1dae4fa0efc76f1668a35fe458
Patch0:		%{name}-ez_setup.patch
URL:		http://pyenchant.sourceforge.net/
BuildRequires:	enchant-devel >= 1.3.0
BuildRequires:	python-devel
BuildRequires:	python-setuptools >= 0.6-0.c3
BuildRequires:	rpm-pythonprov
%pyrequires_eq	python-libs
Requires:	enchant >= 1.3.0
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
PyEnchant is a set of language bindings and some wrapper classes to
make the excellent Enchant spellchecker available as a Python module.

%description -l pl.UTF-8
PyEnchant to zbiór dowiązań języka i klas obudowujących
udostępniających świetną bibliotekę sprawdzania pisowni Enchant jako
moduł Pythona.

%prep
%setup -q -n %{pname}-%{version}
%patch0 -p1

%build
python setup.py build

%install
rm -rf $RPM_BUILD_ROOT

python setup.py install \
	--optimize=2 \
	--root $RPM_BUILD_ROOT \
	--single-version-externally-managed

find $RPM_BUILD_ROOT%{python_sitelib}/enchant -name '*.py' -exec rm -f {} \;
rm -rf $RPM_BUILD_ROOT%{python_sitelib}/%{pname}-%{version}-*.egg-info

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(644,root,root,755)
%doc README.txt
%dir %{python_sitelib}/enchant
%dir %{python_sitelib}/enchant/checker
%dir %{python_sitelib}/enchant/tokenize
%{python_sitelib}/enchant/*.py[oc]
%{python_sitelib}/enchant/checker/*.py[oc]
%{python_sitelib}/enchant/tokenize/*.py[oc]

%define date	%(echo `LC_ALL="C" date +"%a %b %d %Y"`)
%changelog
* %{date} PLD Team <feedback@pld-linux.org>
All persons listed below can be reached at <cvs_login>@pld-linux.org

$Log: python-pyenchant.spec,v $
Revision 1.12  2010/07/08 08:29:32  arekm
- release 2

Revision 1.11  2009/02/24 09:38:15  duddits
- up to 1.5.1
- patch for ez_setup added
- python paths revised: %{py_sitedir} -> %{python_sitelib}

Revision 1.10  2007/11/04 23:57:27  qboosh
- updated to 1.3.1

Revision 1.9  2007/02/18 20:05:41  qboosh
- updated to 1.3.0

Revision 1.8  2007/02/13 08:06:43  glen
- tabs in preamble

Revision 1.7  2007/02/12 01:06:29  baggins
- converted to UTF-8

Revision 1.6  2006/11/14 21:53:22  qboosh
- LGPL v2.1 or any later

Revision 1.5  2006/11/14 21:49:18  qboosh
- updated to 1.2.0 (for enchant 1.3.0)

Revision 1.4  2006/07/26 16:03:33  glen
- unify sourceforge url

Revision 1.3  2006/05/07 20:40:17  charles
- BR: python-devel

Revision 1.2  2006/02/18 10:42:27  qboosh
- pl

Revision 1.1  2006/02/12 11:27:11  freetz
- initial
